$dbd_oracle_mm_opts = {
                        'NAME' => 'DBD::Oracle',
                        'INC' => '-I/opt/oracle/product/current/rdbms/public -I/opt/oracle/product/current/rdbms/demo -I/opt/oracle/product/current/rdbms/demo -I/opt/oracle/product/current/rdbms/public -I/opt/oracle/product/current/plsql/public -I/opt/oracle/product/current/network/public -I/usr/lib/perl5/site_perl/5.8.8/x86_64-linux-thread-multi/auto/DBI',
                        'AUTHOR' => 'Tim Bunce (dbi-users@perl.org)',
                        'DIR' => [],
                        'DEFINE' => ' -Wall -Wno-comment -DUTF8_SUPPORT -DNEW_OCI_INIT -DORA_OCI_VERSION=\\"9.2.0.4\\"',
                        'dynamic_lib' => {
                                           'OTHERLDFLAGS' => ' -L/opt/oracle/product/current/lib/ -L/opt/oracle/product/current/rdbms/lib/   -lclntsh   `cat /opt/oracle/product/current/lib/sysliblist` -ldl -lm  '
                                         },
                        'dist' => {
                                    'DIST_DEFAULT' => 'clean distcheck disttest tardist',
                                    'COMPRESS' => 'gzip -v9',
                                    'PREOP' => '$(MAKE) -f Makefile.old distdir',
                                    'SUFFIX' => 'gz'
                                  },
                        'OBJECT' => '$(O_FILES)',
                        'clean' => {
                                     'FILES' => 'xstmp.c Oracle.xsi dll.base dll.exp sqlnet.log libOracle.def ora_explain mk.pm DBD_ORA_OBJ.*'
                                   },
                        'EXE_FILES' => [
                                         'ora_explain'
                                       ],
                        'ABSTRACT_FROM' => 'Oracle.pm',
                        'VERSION_FROM' => 'Oracle.pm',
                        'PREREQ_PM' => {
                                         'DBI' => 0
                                       }
                      };
$dbd_oracle_mm_self = bless( {
                               'ECHO_N' => 'echo -n',
                               'BOOTDEP' => '',
                               'CCDLFLAGS' => '-Wl,-E -Wl,-rpath,/usr/lib/perl5/5.8.8/x86_64-linux-thread-multi/CORE',
                               'LDDLFLAGS' => '-shared -L/usr/local/lib64',
                               'DESTINSTALLVENDORMAN3DIR' => '$(DESTDIR)$(INSTALLVENDORMAN3DIR)',
                               'PREOP' => '$(NOECHO) $(NOOP)',
                               'MACROSTART' => '',
                               'XS_VERSION' => '1.17',
                               'PERL_MALLOC_DEF' => '-DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc',
                               'MAKEMAKER' => '/usr/lib/perl5/5.8.8/ExtUtils/MakeMaker.pm',
                               'RM_RF' => 'rm -rf',
                               'USEMAKEFILE' => '-f',
                               'PMLIBDIRS' => [
                                                'lib'
                                              ],
                               'INST_LIBDIR' => '$(INST_LIB)/DBD',
                               'SITEARCHEXP' => '/usr/lib/perl5/site_perl/5.8.8/x86_64-linux-thread-multi',
                               'INST_MAN1DIR' => 'blib/man1',
                               'MAN3EXT' => '3pm',
                               'XS' => {
                                         'Oracle.xs' => 'Oracle.c'
                                       },
                               'FULL_AR' => '/usr/bin/ar',
                               'FULLPERL' => '/usr/bin/perl',
                               'DIR' => $dbd_oracle_mm_opts->{'DIR'},
                               'CONFIG' => [
                                             'ar',
                                             'cc',
                                             'cccdlflags',
                                             'ccdlflags',
                                             'dlext',
                                             'dlsrc',
                                             'ld',
                                             'lddlflags',
                                             'ldflags',
                                             'libc',
                                             'lib_ext',
                                             'obj_ext',
                                             'osname',
                                             'osvers',
                                             'ranlib',
                                             'sitelibexp',
                                             'sitearchexp',
                                             'so',
                                             'exe_ext',
                                             'full_ar',
                                             'vendorarchexp',
                                             'vendorlibexp'
                                           ],
                               'DESTDIR' => '',
                               'MAN1PODS' => {
                                               'ora_explain' => '$(INST_MAN1DIR)/ora_explain.$(MAN1EXT)'
                                             },
                               'INSTALLSITEBIN' => '/usr/bin',
                               'MM_Unix_VERSION' => '1.50',
                               'CHMOD' => 'chmod',
                               'DESTINSTALLVENDORLIB' => '$(DESTDIR)$(INSTALLVENDORLIB)',
                               'OBJ_EXT' => '.o',
                               'C' => [
                                        'Oracle.c',
                                        'dbdimp.c',
                                        'oci8.c'
                                      ],
                               'EXE_FILES' => $dbd_oracle_mm_opts->{'EXE_FILES'},
                               'TARFLAGS' => 'cvf',
                               'PERL_INC' => '/usr/lib/perl5/5.8.8/x86_64-linux-thread-multi/CORE',
                               'HAS_LINK_CODE' => 1,
                               'INSTALLPRIVLIB' => '/usr/lib/perl5/5.8.8',
                               'SITELIBEXP' => '/usr/lib/perl5/site_perl/5.8.8',
                               'DESTINSTALLPRIVLIB' => '$(DESTDIR)$(INSTALLPRIVLIB)',
                               'VENDORLIBEXP' => '/usr/lib/perl5/vendor_perl/5.8.8',
                               'FULLEXT' => 'DBD/Oracle',
                               'DEFINE' => ' -Wall -Wno-comment -DUTF8_SUPPORT -DNEW_OCI_INIT -DORA_OCI_VERSION=\\"9.2.0.4\\"',
                               'dynamic_lib' => $dbd_oracle_mm_opts->{'dynamic_lib'},
                               'MAKEFILE' => 'Makefile',
                               'PL_FILES' => {
                                               'ora_explain.PL' => 'ora_explain'
                                             },
                               'SHELL' => '/bin/sh',
                               'VENDORARCHEXP' => '/usr/lib/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi',
                               'MM_VERSION' => '6.30',
                               'INSTALLSCRIPT' => '/usr/bin',
                               'CC' => 'cc',
                               'LIBS' => [
                                           ''
                                         ],
                               'DLEXT' => 'so',
                               'EQUALIZE_TIMESTAMP' => '$(ABSPERLRUN) "-MExtUtils::Command" -e eqtime',
                               'XS_VERSION_MACRO' => 'XS_VERSION',
                               'VERBINST' => 0,
                               'TAR' => 'tar',
                               'ABSPERL' => '$(PERL)',
                               'DESTINSTALLARCHLIB' => '$(DESTDIR)$(INSTALLARCHLIB)',
                               'INST_STATIC' => '$(INST_ARCHAUTODIR)/$(BASEEXT)$(LIB_EXT)',
                               'DISTVNAME' => 'DBD-Oracle-1.17',
                               'ABSTRACT_FROM' => 'Oracle.pm',
                               'DESTINSTALLSCRIPT' => '$(DESTDIR)$(INSTALLSCRIPT)',
                               'INST_AUTODIR' => '$(INST_LIB)/auto/$(FULLEXT)',
                               'RESULT' => [
                                             '# This Makefile is for the DBD::Oracle extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.30 (Revision: Revision: 4535 ) from the contents of
# Makefile.PL. Don\'t edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#
#   MakeMaker Parameters:
',
                                             '#     ABSTRACT_FROM => q[Oracle.pm]',
                                             '#     AUTHOR => q[Tim Bunce (dbi-users@perl.org)]',
                                             '#     DEFINE => q[ -Wall -Wno-comment -DUTF8_SUPPORT -DNEW_OCI_INIT -DORA_OCI_VERSION=\\"9.2.0.4\\"]',
                                             '#     DIR => []',
                                             '#     EXE_FILES => [q[ora_explain]]',
                                             '#     INC => q[-I/opt/oracle/product/current/rdbms/public -I/opt/oracle/product/current/rdbms/demo -I/opt/oracle/product/current/rdbms/demo -I/opt/oracle/product/current/rdbms/public -I/opt/oracle/product/current/plsql/public -I/opt/oracle/product/current/network/public -I/usr/lib/perl5/site_perl/5.8.8/x86_64-linux-thread-multi/auto/DBI]',
                                             '#     NAME => q[DBD::Oracle]',
                                             '#     OBJECT => q[$(O_FILES)]',
                                             '#     PREREQ_PM => { DBI=>q[0] }',
                                             '#     VERSION_FROM => q[Oracle.pm]',
                                             '#     clean => { FILES=>q[xstmp.c Oracle.xsi dll.base dll.exp sqlnet.log libOracle.def ora_explain mk.pm DBD_ORA_OBJ.*] }',
                                             '#     dist => { DIST_DEFAULT=>q[clean distcheck disttest tardist], COMPRESS=>q[gzip -v9], PREOP=>q[$(MAKE) -f Makefile.old distdir], SUFFIX=>q[gz] }',
                                             '#     dynamic_lib => { OTHERLDFLAGS=>q[ -L/opt/oracle/product/current/lib/ -L/opt/oracle/product/current/rdbms/lib/   -lclntsh   `cat /opt/oracle/product/current/lib/sysliblist` -ldl -lm  ] }',
                                             '
# --- MakeMaker post_initialize section:'
                                           ],
                               'FULLPERLRUNINST' => '$(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"',
                               'MAP_TARGET' => 'perl',
                               'INSTALLMAN3DIR' => '/usr/share/man/man3',
                               'PERLPREFIX' => '/usr',
                               'AUTHOR' => 'Tim Bunce (dbi-users@perl.org)',
                               'INC' => '-I/opt/oracle/product/current/rdbms/public -I/opt/oracle/product/current/rdbms/demo -I/opt/oracle/product/current/rdbms/demo -I/opt/oracle/product/current/rdbms/public -I/opt/oracle/product/current/plsql/public -I/opt/oracle/product/current/network/public -I/usr/lib/perl5/site_perl/5.8.8/x86_64-linux-thread-multi/auto/DBI',
                               'LDFLAGS' => ' -L/usr/local/lib64',
                               'dist' => $dbd_oracle_mm_opts->{'dist'},
                               'INSTALLVENDORMAN1DIR' => '/usr/share/man/man1',
                               'MAKEFILE_OLD' => 'Makefile.old',
                               'H' => [
                                        'Oracle.h',
                                        'dbdimp.h',
                                        'dbivport.h',
                                        'ocitrace.h'
                                      ],
                               'PERLRUNINST' => '$(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"',
                               'CI' => 'ci -u',
                               'DESTINSTALLBIN' => '$(DESTDIR)$(INSTALLBIN)',
                               'DESTINSTALLVENDORMAN1DIR' => '$(DESTDIR)$(INSTALLVENDORMAN1DIR)',
                               'INST_ARCHLIBDIR' => '$(INST_ARCHLIB)/DBD',
                               'OBJECT' => '$(O_FILES)',
                               'NAME_SYM' => 'DBD_Oracle',
                               'RANLIB' => ':',
                               'DIRFILESEP' => '/',
                               'POSTOP' => '$(NOECHO) $(NOOP)',
                               'INSTALLVENDORBIN' => '/usr/bin',
                               'COMPRESS' => 'gzip --best',
                               'SUFFIX' => '.gz',
                               'MAN1EXT' => '1',
                               'PERL_LIB' => '/usr/lib/perl5/5.8.8',
                               'ECHO' => 'echo',
                               'EXPORT_LIST' => '',
                               'INST_BOOT' => '$(INST_ARCHAUTODIR)/$(BASEEXT).bs',
                               'MV' => 'mv',
                               'OSVERS' => '2.6.16',
                               'LD_RUN_PATH' => '',
                               'MKPATH' => '$(ABSPERLRUN) "-MExtUtils::Command" -e mkpath',
                               'DESTINSTALLMAN1DIR' => '$(DESTDIR)$(INSTALLMAN1DIR)',
                               'OSNAME' => 'linux',
                               'AR' => 'ar',
                               'O_FILES' => [
                                              'Oracle.o',
                                              'dbdimp.o',
                                              'oci8.o'
                                            ],
                               'FIXIN' => '$(PERLRUN) "-MExtUtils::MY" -e "MY->fixin(shift)"',
                               'DIST_DEFAULT' => 'tardist',
                               'SKIPHASH' => {},
                               'NOOP' => '$(SHELL) -c true',
                               'PERL_ARCHLIB' => '/usr/lib/perl5/5.8.8/x86_64-linux-thread-multi',
                               'VERSION_SYM' => '1_17',
                               'VERSION_MACRO' => 'VERSION',
                               'WARN_IF_OLD_PACKLIST' => '$(ABSPERLRUN) "-MExtUtils::Command::MM" -e warn_if_old_packlist',
                               'MM_REVISION' => 'Revision: 4535 ',
                               'RM_F' => 'rm -f',
                               'LIBC' => '/lib64/libc-2.4.so',
                               'UNINST' => 0,
                               'PERLRUN' => '$(PERL)',
                               'LINKTYPE' => 'dynamic',
                               'INSTALLVENDORLIB' => '/usr/lib/perl5/vendor_perl/5.8.8',
                               'DEV_NULL' => '> /dev/null 2>&1',
                               'DLSRC' => 'dl_dlopen.xs',
                               'INST_ARCHAUTODIR' => '$(INST_ARCHLIB)/auto/$(FULLEXT)',
                               'DESTINSTALLSITEBIN' => '$(DESTDIR)$(INSTALLSITEBIN)',
                               'MACROEND' => '',
                               'ARGS' => {
                                           'NAME' => 'DBD::Oracle',
                                           'INC' => '-I/opt/oracle/product/current/rdbms/public -I/opt/oracle/product/current/rdbms/demo -I/opt/oracle/product/current/rdbms/demo -I/opt/oracle/product/current/rdbms/public -I/opt/oracle/product/current/plsql/public -I/opt/oracle/product/current/network/public -I/usr/lib/perl5/site_perl/5.8.8/x86_64-linux-thread-multi/auto/DBI',
                                           'AUTHOR' => 'Tim Bunce (dbi-users@perl.org)',
                                           'DIR' => $dbd_oracle_mm_opts->{'DIR'},
                                           'DEFINE' => ' -Wall -Wno-comment -DUTF8_SUPPORT -DNEW_OCI_INIT -DORA_OCI_VERSION=\\"9.2.0.4\\"',
                                           'dynamic_lib' => $dbd_oracle_mm_opts->{'dynamic_lib'},
                                           'dist' => $dbd_oracle_mm_opts->{'dist'},
                                           'OBJECT' => '$(O_FILES)',
                                           'clean' => $dbd_oracle_mm_opts->{'clean'},
                                           'EXE_FILES' => $dbd_oracle_mm_opts->{'EXE_FILES'},
                                           'ABSTRACT_FROM' => 'Oracle.pm',
                                           'VERSION_FROM' => 'Oracle.pm',
                                           'PREREQ_PM' => $dbd_oracle_mm_opts->{'PREREQ_PM'}
                                         },
                               'CP' => 'cp',
                               'DEFINE_VERSION' => '-D$(VERSION_MACRO)=\\"$(VERSION)\\"',
                               'PREREQ_PM' => $dbd_oracle_mm_opts->{'PREREQ_PM'},
                               'DESTINSTALLSITELIB' => '$(DESTDIR)$(INSTALLSITELIB)',
                               'INST_LIB' => 'blib/lib',
                               'INST_DYNAMIC' => '$(INST_ARCHAUTODIR)/$(DLBASE).$(DLEXT)',
                               'FULLPERLRUN' => '$(FULLPERL)',
                               'INSTALLSITEMAN1DIR' => '/usr/share/man/man1',
                               'DESTINSTALLSITEMAN3DIR' => '$(DESTDIR)$(INSTALLSITEMAN3DIR)',
                               'MOD_INSTALL' => '$(ABSPERLRUN) -MExtUtils::Install -e \'install({@ARGV}, \'\\\'\'$(VERBINST)\'\\\'\', 0, \'\\\'\'$(UNINST)\'\\\'\');\'',
                               'DLBASE' => '$(BASEEXT)',
                               'INST_MAN3DIR' => 'blib/man3',
                               'CCCDLFLAGS' => '-fPIC',
                               'INSTALLSITEARCH' => '/usr/lib/perl5/site_perl/5.8.8/x86_64-linux-thread-multi',
                               'XS_DEFINE_VERSION' => '-D$(XS_VERSION_MACRO)=\\"$(XS_VERSION)\\"',
                               'SHAR' => 'shar',
                               'PERLMAINCC' => '$(CC)',
                               'RCS_LABEL' => 'rcs -Nv$(VERSION_SYM): -q',
                               'NAME' => 'DBD::Oracle',
                               'PARENT_NAME' => 'DBD',
                               'INSTALLSITELIB' => '/usr/lib/perl5/site_perl/5.8.8',
                               'MAKE_APERL_FILE' => 'Makefile.aperl',
                               'ZIP' => 'zip',
                               'VERSION_FROM' => 'Oracle.pm',
                               'SITEPREFIX' => '/usr',
                               'TO_UNIX' => '$(NOECHO) $(NOOP)',
                               'PERL' => '/usr/bin/perl',
                               'DESTINSTALLVENDORARCH' => '$(DESTDIR)$(INSTALLVENDORARCH)',
                               'NOECHO' => '@',
                               'DESTINSTALLVENDORBIN' => '$(DESTDIR)$(INSTALLVENDORBIN)',
                               'PERM_RW' => 644,
                               'UMASK_NULL' => 'umask 0',
                               'DOC_INSTALL' => '$(ABSPERLRUN) "-MExtUtils::Command::MM" -e perllocal_install',
                               'TOUCH' => 'touch',
                               'LD' => 'cc',
                               'PERL_SRC' => undef,
                               'DESTINSTALLMAN3DIR' => '$(DESTDIR)$(INSTALLMAN3DIR)',
                               'ZIPFLAGS' => '-r',
                               'DISTNAME' => 'DBD-Oracle',
                               'INST_BIN' => 'blib/bin',
                               'FIRST_MAKEFILE' => 'Makefile',
                               'VENDORPREFIX' => '/usr',
                               'LDFROM' => '$(OBJECT)',
                               'clean' => $dbd_oracle_mm_opts->{'clean'},
                               'PREFIX' => '$(SITEPREFIX)',
                               'INSTALLDIRS' => 'site',
                               'INST_ARCHLIB' => 'blib/arch',
                               'PERL_ARCHIVE' => '',
                               'INSTALLVENDORARCH' => '/usr/lib/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi',
                               'INSTALLBIN' => '/usr/bin',
                               'DESTINSTALLSITEMAN1DIR' => '$(DESTDIR)$(INSTALLSITEMAN1DIR)',
                               'INSTALLSITEMAN3DIR' => '/usr/share/man/man3',
                               'PERL_ARCHIVE_AFTER' => '',
                               'MAN3PODS' => {
                                               'Oracle.pm' => '$(INST_MAN3DIR)/DBD::Oracle.$(MAN3EXT)',
                                               'Oraperl.pm' => '$(INST_MAN3DIR)/DBD::Oraperl.$(MAN3EXT)'
                                             },
                               'LIBPERL_A' => 'libperl.a',
                               'INSTALLARCHLIB' => '/usr/lib/perl5/5.8.8/x86_64-linux-thread-multi',
                               'LIB_EXT' => '.a',
                               'AR_STATIC_ARGS' => 'cr',
                               'INSTALLVENDORMAN3DIR' => '/usr/share/man/man3',
                               'EXE_EXT' => '',
                               'PERM_RWX' => 755,
                               'DESTINSTALLSITEARCH' => '$(DESTDIR)$(INSTALLSITEARCH)',
                               'ABSPERLRUN' => '$(ABSPERL)',
                               'BASEEXT' => 'Oracle',
                               'TEST_F' => 'test -f',
                               'PM' => {
                                         'Oracle.pm' => '$(INST_LIB)/DBD/Oracle.pm',
                                         'oraperl.ph' => '$(INST_LIB)/oraperl.ph',
                                         'Oraperl.pm' => '$(INST_LIB)/Oraperl.pm',
                                         'lib/DBD/Oracle/GetInfo.pm' => 'blib/lib/DBD/Oracle/GetInfo.pm',
                                         'mk.pm' => '$(INST_LIB)/DBD/mk.pm'
                                       },
                               'ABSPERLRUNINST' => '$(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"',
                               'PERL_CORE' => 0,
                               'INSTALLMAN1DIR' => '/usr/share/man/man1',
                               'SO' => 'so',
                               'VERSION' => '1.17',
                               'DIST_CP' => 'best',
                               'INST_SCRIPT' => 'blib/script',
                               'UNINSTALL' => '$(ABSPERLRUN) "-MExtUtils::Command::MM" -e uninstall'
                             }, 'PACK001' );
